# $Revision: 1.26 $, $Date: 2002/07/20 15:04:56 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	Hotline
Summary:	Net::Hotline perl module
Summary(pl):	Modu perla Net::Hotline
Name:		perl-Net-Hotline
Version:	0.82
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-18
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Hotline - Perl libraries for the Hotline internet client.

%description -l pl
Net::Hotline - biblioteki perla dla internetowego klienta Hotline.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p0

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install Examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_sitelib}/Net/Hotline.pm
%dir %{perl_sitelib}/Net/Hotline
%{perl_sitelib}/Net/Hotline/*.pm
%{perl_sitelib}/Net/Hotline/Protocol
%{perl_sitelib}/auto/Net/Hotline
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Net-Hotline.spec,v $
Revision 1.26  2002/07/20 15:04:56  qboosh
- updated to 0.82, removed *.pod

Revision 1.25  2002/07/12 09:04:40  qboosh
- new %%doc and cosmetics

Revision 1.24  2002/07/11 08:02:08  depesz
- new version; should work; STBR

Revision 1.23  2002/07/10 08:48:07  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.22  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/02/25 10:33:14  depesz
cleanup; revision++

Revision 1.20  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/13 14:18:46  depesz
automatic: Source location unfied, Relase Up

Revision 1.18  2002/02/10 15:29:40  depesz
adapterized

Revision 1.17  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/07/25 09:11:05  mis
- autoupdated to 0.80

Revision 1.15  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.14  2001/04/17 12:13:18  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2001/03/20 09:26:59  mis
- autoupdated to 0.79

Revision 1.11  2001/01/19 05:52:06  kloczek
- do not include .packlist in %files,
- spec adapterized.

Revision 1.10  2001/01/13 01:00:32  dobrek
-Req:perl>=5.6 ;Realase=2;New rpm automat

Revision 1.9  2000/07/15 14:00:58  kloczek
- release 2.

Revision 1.8  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:34:19  pius
- updated to 0.78

Revision 1.2  1999/11/05 23:57:53  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
